
import React from 'react';
import Icon from 'react-icon-base';

const SlMustache = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M792.848 223.28c-101.344 0 -158.865 47.6289 -196.945 79.1484c-13.4717 11.1523 -25.7275 21.9043 -36.8799 31.6641c-16.9121 14.8477 -38 33.3438 -45.3438 35.9033c-0.223633 0 -3.71191 0.160156 -3.93555 0.192383 c-1.16797 -0.0957031 -4.14355 -0.6875 -4.44727 -0.719727c-5.07227 -2.06445 -23.0879 -17.5684 -37.5684 -30c-13.1357 -11.2803 -28.1113 -24.1602 -45.0391 -37.376l-3.08789 -2.36816c-43.4717 -33.9355 -97.584 -76.1592 -193.152 -76.1592 c-70.9922 0 -140.928 32.1279 -182.576 83.8721c-27.9199 34.6885 -57.2959 95.0244 -38.6719 185.473c2.25586 10.9443 10.0156 19.9043 20.4316 23.6318c10.4805 3.77637 22.0166 1.71191 30.6084 -5.37598c0.624023 -0.463867 22.5762 -17.3438 59.0566 -17.3438 c18.3682 0 37.5039 4.33594 56.832 12.9443c33.1357 14.752 56.7354 56.1279 81.7109 84.0635c34.1758 38.1602 72.8477 81.4082 136.688 81.9043c44.0479 0 83.792 -16.2881 119.248 -48.4961c35.3115 32.0645 74.7676 48.2568 117.68 48.2568 c65.1035 -0.496094 104.592 -43.7764 139.439 -82c25.4404 -27.8721 49.4727 -69.2158 82.6084 -83.9678c19.3281 -8.5918 38.6719 -12.9434 57.4883 -12.9434c37.8721 0 61.5039 17.3115 62.4482 18.0635c8.76758 6.49609 20.3193 8.19238 30.4795 4.22461 c10.1436 -4 17.6797 -12.8799 19.7119 -23.6641c17.0879 -89.4404 -12.96 -149.408 -41.1836 -183.968c-42.7676 -52.4004 -113.903 -84.96 -185.6 -84.9598zM510.733 434.125c0.992188 0 3.68262 -0.0947266 4.62695 -0.19043 c0.0322266 0 4.68848 -0.335938 4.68848 -0.368164c0.335938 -0.0322266 3.00781 -0.368164 3.2959 -0.432617c23.1523 -3.28027 44.624 -22.1279 77.2158 -50.6875c10.7041 -9.4082 22.4961 -19.7441 35.4717 -30.4961c34.7842 -28.8164 78.0967 -64.6562 156.816 -64.6562 c53.3115 0 105.743 23.6318 136.783 61.6797c20.4004 24.9756 31.0088 54.7197 31.6807 88.7842c-15.0244 -4.68848 -33.2803 -8.19238 -54.3203 -8.19238c-27.6641 0 -55.5684 6.19238 -82.9766 18.3682c-45.248 20.0957 -76.3037 69.1201 -103.68 99.1523 c-34.5283 37.8721 -57.4727 61.0879 -92.0811 61.376c-46.1602 0 -75.9521 -29.0557 -94.416 -50.9121c-6.03223 -7.12012 -14.8164 -11.2158 -24.0967 -11.2158v0c-9.28027 0 -18.0801 4.12793 -24.0801 11.248c-18.5283 21.9355 -48.416 51.1191 -93.8398 51.1191 c-35.0879 -0.255859 -57.4082 -23.2803 -90.9922 -60.8486c-27.0557 -30.2236 -57.6953 -79.4717 -103.231 -99.6797c-27.3916 -12.1924 -55.1035 -18.3682 -82.3037 -18.3682c-20.4004 0 -38.0645 3.4082 -52.624 8.03223 c-0.0322266 -34.7197 10.1113 -64.9121 30.335 -90.0322c29.9355 -37.1523 81.0391 -60.2559 133.439 -60.2559c74 0 114.896 31.9355 154.464 62.8154l3.08789 2.41602c16.0479 12.5283 30.2402 24.752 42.6885 35.4404c28.5117 24.4961 47.3281 40.6885 67.6484 44.2881v0 c0.015625 -0.015625 9.69531 1.61621 16.3994 1.61621z"/></g>
    </Icon>
);

export default SlMustache;
